<?php	

/**
 * @package MinimalWeblog
 * @version 1.0,1
 */

/**
 * Include weblog functionality
 *
 * I recommend moving the MinimalWeblog package out of the webroot
 * (rule of thumb: only files which are directly requested by a browser
 * should be in the webroot).
 */
require('MinimalWeblog.php');
$weblog = new MinimalWeblog();

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
<head>
<title>MinimalWeblog example</title>
<meta name="generator" content="BBEdit 8.6">
<style type="text/css">
	#right
	{
		float: right;
		width: 29%;
	}
	
	#left
	{
		float: left;
		width: 70%;
		border: 1px dotted red;
	}
	
	img.topic
	{
		border: none;
		margin-right: 10px;
	}
	
	h1
	{
		text-align: center;
		font-size: 125%;
	}
	
	h2 { font-size: 110%; }
</style> 
</head>
<body>
<h1>MinimalWeblog example</h1>
<div id="left"> 
<?php echo $weblog->insert(); ?>
</div>
<div id="right"> 
  <p>Static page content</p>
  <p><a href="<?php echo $_SERVER['PHP_SELF'] . '?wl_mode=login' ?>">Login</a> to this MinimalWeblog installation.</p>
  <p>You probably don't want a login link like the above on a public page (I just type "?wl_mode=login" after the address to get to the login screen.)</p>
</div>
</body>
</html>
